* {
    font-family: "Poppins", system-ui;

    h1 {
        font-size: 3rem;
    }

    h2 {
        font-size: 2.5rem;
    }

    h3 {
        font-size: 1.5rem;
    }

    p {
        font-size: 1rem
    }



}

/* For Chrome, Safari, Edge, and Opera */
::-webkit-scrollbar {
    display: none;
}

/* For Firefox */
html {
    scrollbar-width: none;
}

/* General CSS to disable scrollbars */

body {
    margin: 0;
    background: #fff;
}

header {
    height: 4rem;
    display: grid;
    background-color: #fff;
    place-items: center;
}

nav {
    width: 100%;
    display: grid;
    align-items: center;
    position: fixed;
    top: 0;
    z-index: 11111;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

nav .navbar-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 1220px;
    padding: 0 1.5rem;
    height: 5rem;
    margin: 0 auto;
    background-color: #fff;
}

nav .navbar-container-brand img {
    width: 8rem;
    object-fit: cover;
    display: flex;
    margin-right: 2rem;
    align-items: center;
    justify-content: center;
}

nav .navbar-container-links ul {
    display: flex;
    align-items: center;
    gap: 3rem;
    color: #000;
    margin: 0;
    padding: 0;
}

nav .navbar-container-links li {
    list-style: none;
}

nav .navbar-container-links li a {
    font-size: 1.2rem;
    text-decoration: none;
    color: #000;
    transition: 0.3s ease;
    font-weight: 500;
}

nav .navbar-container-links li a.active {
    color: #ff7518;
    font-weight: 700;

    padding-bottom: 4px;
}



nav .navbar-container-cta button {
    background-color: #FC380E;
    border: none;
    border-radius: 15px;
    padding: .4rem 1rem;
    margin-left: 2rem;
}

.bigul-button {
    display: flex;
    align-items: center;
    color: white;
    font-weight: bold;
    flex-direction: column;
    text-decoration: none;
    transition: background-color 0.3s ease;
}



.bigul-button .main-text {
    font-size: 1.125rem;
    /* 18px */
}

.bigul-button .sub-text {
    font-size: 0.75rem;
    /* 12px */
    margin-left: 8px;
}

/* nav .navbar-container-cta button a {
    color: #fff;
    font-size: 1.3rem;
    text-decoration: none;
} */

/* nav .navbar-container-cta button a span {
    font-size: 1rem;
} */
/* Position the dropdown container relative to the parent */
nav .navbar-container-links ul li.dropdown {
    position: relative;
}

/* Initially hide the dropdown menu */
nav .navbar-container-links ul li .dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    display: none;
    flex-direction: column;
    background-color: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    padding: 1rem 0;
    border-radius: 8px;
    opacity: 0;
    transform: translateY(10px);
    transition: opacity 0.3s ease, transform 0.3s ease;
}

nav .navbar-container-links ul li .dropdown-menu li {
    list-style: none;
    margin: 0;
    padding: 0;
    text-align: left;
    line-height: .1rem;
}

nav .navbar-container-links ul li .dropdown-menu li a {
    font-size: 1rem;
    padding: 0.1rem 1rem;
    color: #555;
    text-decoration: none;
    text-wrap: nowrap;
    display: block;
    transition: background-color 0.3s ease;
}



/* Show the dropdown menu on hover with smooth animation */
nav .navbar-container-links ul li.dropdown:hover .dropdown-menu {
    display: flex;
    opacity: 1;
    align-items: flex-start;
    transform: translateY(0);
}

nav .navbar-container-hamburger-menu {
    display: none;
    cursor: pointer;
}

/* Add a Font Awesome arrow to indicate a dropdown */
nav .navbar-container-links ul li a .dropdown-arrow {
    display: inline-block;
    margin-left: 0.5rem;
    transition: transform 0.3s ease;
    font-size: 0.75rem;
    /* Adjust the size of the arrow icon */
    color: #555;
    /* Arrow color */
}

/* Rotate the Font Awesome arrow when the dropdown is active */
nav .navbar-container-links ul li.dropdown:hover .dropdown-arrow {
    transform: rotate(-180deg);
}



.navbar-container-hamburger-menu .bar1,
.bar2,
.bar3 {
    width: 25px;
    height: 3px;
    background: #555;
    margin: 4px 0;
    transition: 0.4s;
    border-radius: 2px;
}

.navbar-mobile-container {
    display: none;
    flex-direction: column;
    background: #fff;
    width: 100%;
    position: absolute;
    top: 4rem;
    left: 0;
    z-index: 9999;
    padding: 1rem;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.navbar-mobile-container ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.navbar-mobile-container ul li {
    margin-bottom: 1rem;
}

.navbar-mobile-container ul li:last-child {
    margin-top: 2rem;
}

.navbar-mobile-container ul li a {
    color: #000;
    font-size: 1rem;
    text-decoration: none;
}

.navbar-mobile-container ul li .bigul-button-nav {
    color: #fff;
    font-weight: 600;
}

.whatsapp-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
}

.whatsapp-button img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    transition: transform 0.3s ease-in-out;
}

.whatsapp-button img:hover {
    transform: scale(1.1);
}

.call-button {
    position: fixed;
    bottom: 100px;
    /* Adjust the position if needed */
    right: 20px;
    z-index: 1000;
}

.call-button img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    transition: transform 0.3s ease-in-out;
}

.call-button img:hover {
    transform: scale(1.1);
}

/* Modal styling */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
    background-color: #fff;
    margin: auto;
    padding: 20px;
    border-radius: 10px;
    width: 50%;
    max-width: 600px;
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
}

.modal h2 {
    text-align: center;
    color: #333;
    margin-bottom: 0px;
}

/* Input and textarea styling */
.modal input[type=text],
.modal input[type=email],
.modal textarea {
    width: 100%;
    padding: 12px;
    margin: 5px 0;
    border-radius: 25px;
    border: 1px solid #ccc;
    box-sizing: border-box;
    font-size: 16px;
    transition: border-color 0.3s ease;
}

.modal input[type=text]:focus,
.modal input[type=email]:focus,
.modal textarea:focus {
    border-color: #ff9800;
    outline: none;
}

/* Textarea style */
.modal textarea {
    height: 100px;
    resize: none;
}

/* Button styling */
.submit-btn {
    background-color: #FC380E;
    color: white;
    padding: 12px;
    border: none;
    border-radius: 25px;
    cursor: pointer;
    font-size: 16px;
    margin-top: 15px;
    transition: background-color 0.3s ease;
}

.submit-btn:hover {
    background-color: #ff9800;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
    display: flex;
}

.close:hover,
.close:focus {
    color: #000;
}

/* Form layout */
label {
    font-family: 'Arial', sans-serif;
    font-size: 16px;
    color: #333;
    margin-bottom: 5px;
}

form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}


@media (max-width: 768px) {
    .modal-content {
        width: 90%;
        padding: 20px;
    }
}

@media screen and (max-width:1024px) {
    nav .navbar-container-links li a {
        text-wrap: nowrap;
        font-size: 1rem;
    }

}

@media screen and (max-width: 768px) {
    nav .navbar-container-links {
        display: none;
    }

    nav .navbar-container-cta {
        display: none;
    }

    nav .navbar-container-hamburger-menu {
        display: inline-block;
    }

    .navbar-mobile-container.show {
        display: flex;
    }

    nav .navbar-container-brand img {
        width: 5rem;
    }

    nav .navbar-container {
        height: 4rem;
        margin: 0;
    }

    nav .bigul-button-nav {
        padding: .6rem 3.5rem;
        background-color: #FC380E;
        border-radius: 10px;
        color: #fff;
    }

    .toggle .bar1 {
        transform: translate(0, 8px) rotate(-45deg);
    }

    .toggle .bar2 {
        opacity: 0;
    }

    .toggle .bar3 {
        transform: translate(0, -8px) rotate(45deg);
    }

    @media (max-width: 768px) {
        h1 {
            font-size: 2.5rem;
        }

        h2 {
            font-size: 2rem;
        }

        h3 {
            font-size: 1.2rem;
        }
    }

    @media (max-width: 480px) {
        h1 {
            font-size: 1.5rem;
        }

        h2 {
            font-size: 1.2rem;
        }

        h3 {
            font-size: 1rem;
        }
    }
}